Bug 1163028 - [doc] Document behaviour of --installroot
[doc] Document behaviour of --installroot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 1226818 977007 1160612 1227001
  Show dependency treegraph
 
Reported: 2014-11-12 04:18 EST by Miroslav Suchý
Modified: 2016-10-04 15:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 04:41:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2014-11-12 04:18:05 EST
Description of problem:
I find several differences in behaviour of --installroot between yum and dnf. But it does not make sense to me to report the unless there is clear documentation of this option and what behaviour is correct.

First: documentation in dnf is very short:
       --installroot=<path>
              set install root
which I find as regression from yum documentation:
       --installroot=root
              Specifies an alternative installroot, relative to which all packages will be installed. Think of this like doing "chroot  <root>
              yum"  except  using  --installroot  allows  yum to work before the chroot is created.  Note: You may also want to use the option
              --releasever=/ when creating the installroot as otherwise the $releasever value is taken from the rpmdb within  the  installroot
              (and thus. will be empty, before creation).
              Configuration Option: installroot

But even the yum expanded documentation does not state, how installroot relate to yum.repos.d/* files. Are they taken from host of from installroot? Log files are placed to host /var/log or to installroot? 

Version-Release number of selected component (if applicable):
dnf-0.6.2-1.fc21.noarch
Comment 1 Honza Silhan 2014-11-14 09:14:27 EST
thanks for the report, it can be better documented.
Comment 2 Jaroslav Reznik 2015-03-03 12:05:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Miroslav Suchý 2015-04-24 03:23:20 EDT
Ping. Any progress here?
Comment 4 Radek Holy 2015-04-24 05:17:50 EDT
No progress yet, sorry.
Comment 5 Jan Kurik 2015-07-15 10:36:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Jaroslav Mracek 2016-01-14 04:10:06 EST
This bug will be fixed by pullrequest: https://github.com/rpm-software-management/dnf/pull/428
Comment 8 Mike McCune 2016-03-28 19:15:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 9 Igor Gnatenko 2016-07-22 04:41:55 EDT
Fixed as part of DNF 2.0 release.

Note You need to log in before you can comment on or make changes to this bug.